
Redmine - Defect #945

import_from_trac problem

2008-03-28 12:41 - vasco dias

Status: Closed Start date: 2008-03-28

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I don't know if this is the right way to report what is happening to me, but here i go:

installed redmine from svn/trunk, but i'm still having issues with what i thought was a fixed bug.

after correctly created the database in mysql, i did the stuff in the wiki for loading the db with defaults.

trying to import from trac i get:

1st time:

[root@black redmine]# rake redmine:migrate_from_trac RAILS_ENV="test" --trace

(in /var/redmine)

** Invoke redmine:migrate_from_trac (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:migrate_from_trac

WARNING: a new project will be added to Redmine during this process.

Are you sure you want to continue ? [y/N] y

Trac directory []: /trac/jspoc

Trac database adapter (sqlite, sqlite3, mysql, postgresql) [sqlite]: sqlite3

Trac database encoding [UTF-8]:

Target project identifier []: jspoc

Migrating components.......

Migrating milestones....

Migrating custom fields....

Migrating tickets.rake aborted!

undefined method `name' for 33916969:Fixnum

/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/core_ext/symbol.rb:11:in `__sen

d__'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/core_ext/symbol.rb:11:in `to_pr

oc'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/core_ext/symbol.rb:11:in `new'

/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/core_ext/symbol.rb:11:in `to_pr

oc'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/attribute_methods.rb:104:in `cach

ed_attributes'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/attribute_methods.rb:108:in `cach

e_attribute?'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/attribute_methods.rb:132:in `defi

ne_read_method'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/attribute_methods.rb:68:in `defin

e_attribute_methods'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/attribute_methods.rb:63:in `each'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/attribute_methods.rb:63:in `defin

e_attribute_methods'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/attribute_methods.rb:187:in `meth

od_missing'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2117:in `send'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2117:in `attributes='

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2116:in `each'
/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2116:in `attributes='

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1926:in `initialize'

/var/redmine/lib/tasks/migrate_from_trac.rake:336:in `new'

/var/redmine/lib/tasks/migrate_from_trac.rake:336:in `migrate'

/var/redmine/lib/tasks/migrate_from_trac.rake:333:in `each'

/var/redmine/lib/tasks/migrate_from_trac.rake:333:in `migrate'

/var/redmine/lib/tasks/migrate_from_trac.rake:625

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:546:in `call'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:546:in `execute'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:541:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:541:in `execute'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:508:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:501:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:501:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:494:in `invoke'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1931:in `invoke_task'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:in `standard_exception_handling'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1903:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1881:in `run'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:in `standard_exception_handling'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1878:in `run'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/bin/rake:31

/usr/bin/rake:16:in `load'

/usr/bin/rake:16

*** glibc detected *** ruby: double free or corruption (out): 0x00007fffa111a9f0 ***

======= Backtrace: =========

/lib64/libc.so.6[0x3195c70412]

/lib64/libc.so.6(cfree+0x8c)[0x3195c73b1c]

/usr/lib64/libruby.so.1.8[0x3b2ca2bbfc]

/usr/lib64/libruby.so.1.8(rb_gc_call_finalizer_at_exit+0xae)[0x3b2ca4b01e]

/usr/lib64/libruby.so.1.8[0x3b2ca2ffc3]

/usr/lib64/libruby.so.1.8(ruby_cleanup+0x165)[0x3b2ca392e5]

/usr/lib64/libruby.so.1.8(ruby_stop+0x9)[0x3b2ca393f9]

/usr/lib64/libruby.so.1.8[0x3b2ca44b74]

ruby[0x400803]

/lib64/libc.so.6(__libc_start_main+0xf4)[0x3195c1dab4]

ruby[0x400719]

======= Memory map: ========

00400000-00401000 r-xp 00000000 fd:00 17090940                           /usr/bin/ruby

00600000-00602000 rw-p 00000000 fd:00 17090940                           /usr/bin/ruby

00602000-020a1000 rw-p 00602000 00:00 0                                  [heap]

3195800000-319581a000 r-xp 00000000 fd:00 2228299                        /lib64/ld-2.6.so

3195a1a000-3195a1b000 r--p 0001a000 fd:00 2228299                        /lib64/ld-2.6.so

3195a1b000-3195a1c000 rw-p 0001b000 fd:00 2228299                        /lib64/ld-2.6.so

3195c00000-3195d47000 r-xp 00000000 fd:00 2228300                        /lib64/libc-2.6.so

3195d47000-3195f47000 ---p 00147000 fd:00 2228300                        /lib64/libc-2.6.so

3195f47000-3195f4b000 r--p 00147000 fd:00 2228300                        /lib64/libc-2.6.so

3195f4b000-3195f4c000 rw-p 0014b000 fd:00 2228300                        /lib64/libc-2.6.so

3195f4c000-3195f51000 rw-p 3195f4c000 00:00 0

3196000000-3196082000 r-xp 00000000 fd:00 2228383                        /lib64/libm-2.6.so

3196082000-3196281000 ---p 00082000 fd:00 2228383                        /lib64/libm-2.6.so

3196281000-3196282000 r--p 00081000 fd:00 2228383                        /lib64/libm-2.6.so

3196282000-3196283000 rw-p 00082000 fd:00 2228383                        /lib64/libm-2.6.so

3196400000-3196402000 r-xp 00000000 fd:00 2228356                        /lib64/libdl-2.6.so

3196402000-3196602000 ---p 00002000 fd:00 2228356                        /lib64/libdl-2.6.so

3196602000-3196603000 r--p 00002000 fd:00 2228356                        /lib64/libdl-2.6.so

3196603000-3196604000 rw-p 00003000 fd:00 2228356                        /lib64/libdl-2.6.so

3196800000-3196815000 r-xp 00000000 fd:00 2228393                        /lib64/libpthread-2.6.so

3196815000-3196a14000 ---p 00015000 fd:00 2228393                        /lib64/libpthread-2.6.so

3196a14000-3196a15000 r--p 00014000 fd:00 2228393                        /lib64/libpthread-2.6.so

3196a15000-3196a16000 rw-p 00015000 fd:00 2228393                        /lib64/libpthread-2.6.so

3196a16000-3196a1a000 rw-p 3196a16000 00:00 0

3196c00000-3196c14000 r-xp 00000000 fd:00 2228387                        /lib64/libz.so.1.2.3

3196c14000-3196e13000 ---p 00014000 fd:00 2228387                        /lib64/libz.so.1.2.3
3196e13000-3196e14000 rw-p 00013000 fd:00 2228387                        /lib64/libz.so.1.2.3

3198400000-3198463000 r-xp 00000000 fd:00 17089227                       /usr/lib64/libsqlite3.so.

0.8.6

3198463000-3198663000 ---p 00063000 fd:00 17089227                       /usr/lib64/libsqlite3.so.

0.8.6

3198663000-3198666000 rw-p 00063000 fd:00 17089227                       /usr/lib64/libsqlite3.so.

0.8.6

319f800000-319f811000 r-xp 00000000 fd:00 2228505                        /lib64/libresolv-2.6.so

319f811000-319fa11000 ---p 00011000 fd:00 2228505                        /lib64/libresolv-2.6.so

319fa11000-319fa12000 r--p 00011000 fd:00 2228505                        /lib64/libresolv-2.6.so

319fa12000-319fa13000 rw-p 00012000 fd:00 2228505                        /lib64/libresolv-2.6.so

319fa13000-319fa15000 rw-p 319fa13000 00:00 0

31a2200000-31a2202000 r-xp 00000000 fd:00 2228504                        /lib64/libkeyutils-1.2.so

31a2202000-31a2401000 ---p 00002000 fd:00 2228504                        /lib64/libkeyutils-1.2.so

31a2401000-31a2402000 rw-p 00001000 fd:00 2228504                        /lib64/libkeyutils-1.2.so

31a2a00000-31a2a07000 r-xp 00000000 fd:00 17087611                       /usr/lib64/libkrb5support

.so.0.1

31a2a07000-31a2c07000 ---p 00007000 fd:00 17087611                       /usr/lib64/libkrb5support

.so.0.1

31a2c07000-31a2c08000 rw-p 00007000 fd:00 17087611                       /usr/lib64/libkrb5support

.so.0.1

31a2e00000-31a2e24000 r-xp 00000000 fd:00 17087810                       /usr/lib64/libk5crypto.so

.3.1

31a2e24000-31a3023000 ---p 00024000 fd:00 17087810                       /usr/lib64/libk5crypto.so

.3.1

31a3023000-31a3025000 rw-p 00023000 fd:00 17087810                       /usr/lib64/libk5crypto.so

.3.1

31a4200000-31a4205000 r-xp 00000000 fd:00 2228519                        /lib64/libcrypt-2.6.so

31a4205000-31a4404000 ---p 00005000 fd:00 2228519                        /lib64/libcrypt-2.6.so

31a4404000-31a4405000 r--p 00004000 fd:00 2228519                        /lib64/libcrypt-2.6.so

31a4405000-31a4406000 rw-p 00005000 fd:00 2228519                        /lib64/libcrypt-2.6.so

31a4406000-31a4434000 rw-p 31a4406000 00:00 0

3b2ca00000-3b2cac6000 r-xp 00000000 fd:00 17090872                       /usr/lib64/libruby.so.1.8

.6

3b2cac6000-3b2ccc6000 ---p 000c6000 fd:00 17090872                       /usr/lib64/libruby.so.1.8

.6

3b2ccc6000-3b2cce0000 rw-p 000c6000 fd:00 17090872                       /usr/lib64/libruby.so.1.8

.6

3b2cce0000-3b2ccfe000 rw-p 3b2cce0000 00:00 0

3ee1a00000-3ee1a02000 r-xp 00000000 fd:00 2228276                        /lib64/libcom_err.so.2.1

3ee1a02000-3ee1c01000 ---p 00002000 fd:00 2228276                        /lib64/libcom_err.so.2.1

3ee1c01000-3ee1c02000 rw-p 00001000 fd:00 2228276                        /lib64/libcom_err.so.2.1

3ee1e00000-3ee1e8e000 r-xp 00000000 fd:00 17076840                       /usr/lib64/libkrb5.so.3.3

3ee1e8e000-3ee208e000 ---p 0008e000 fd:00 17076840                       /usr/lib64/libkrb5.so.3.3

3ee208e000-3ee2092000 rw-p 0008e000 fd:00 17076840                       /usr/lib64/libkrb5.so.3.3

3ee2200000-3ee2325000 r-xp 00000000 fd:00 2228288                        /lib64/libcrypto.so.0.9.8

b

3ee2325000-3ee2525000 ---p 00125000 fd:00 2228288                        /lib64/libcrypto.so.0.9.8

b

3ee2525000-3ee2544000 rw-p 00125000 fd:00 2228288                        /lib64/libcrypto.so.0.9.8

b

3ee2544000-3ee2548000 rw-p 3ee2544000 00:00 0

3ee2600000-3ee2643000 r-xp 00000000 fd:00 2228328                        /lib64/libssl.so.0.9.8b

3ee2643000-3ee2843000 ---p 00043000 fd:00 2228328                        /lib64/libssl.so.0.9.8b

3ee2843000-3ee2849000 rw-p 00043000 fd:00 2228328                        /lib64/libssl.so.0.9.8b

3ee2a00000-3ee2a2c000 r-xp 00000000 fd:00 17076920                       /usr/lib64/libgssapi_krb5

.so.2.2

3ee2a2c000-3ee2c2c000 ---p 0002c000 fd:00 17076920                       /usr/lib64/libgssapi_krb5

.so.2.2

3ee2c2c000-3ee2c2e000 rw-p 0002c000 fd:00 17076920                       /usr/lib64/libgssapi_krb5

.so.2.2

3ee2e00000-3ee2e0d000 r-xp 00000000 fd:00 2228417                        /lib64/libgcc_s-4.1.2-200

70925.so.1

3ee2e0d000-3ee300d000 ---p 0000d000 fd:00 2228417                        /lib64/libgcc_s-4.1.2-200

70925.so.1

3ee300d000-3ee300e000 rw-p 0000d000 fd:00 2228417                        /lib64/libgcc_s-4.1.2-200

70925.so.1
2aaaaaaab000-2aaaaaaad000 rw-p 2aaaaaaab000 00:00 0

2aaaaaabf000-2aaaaab24000 rw-p 2aaaaaabf000 00:00 0

2aaaaab24000-2aaaaab28000 r-xp 00000000 fd:00 393792                     /usr/lib64/ruby/1.8/x86_6

4-linux/thread.so

2aaaaab28000-2aaaaad27000 ---p 00004000 fd:00 393792                     /usr/lib64/ruby/1.8/x86_6

4-linux/thread.so

2aaaaad27000-2aaaaad28000 rw-p 00003000 fd:00 393792                     /usr/lib64/ruby/1.8/x86_6

4-linux/thread.so

2aaaaad29000-2aaaaadd9000 rw-p 2aaaaad29000 00:00 0

2aaaaadd9000-2aaaaade4000 r-xp 00000000 fd:00 393787                     /usr/lib64/ruby/1.8/x86_6

4-linux/socket.so

2aaaaade4000-2aaaaafe3000 ---p 0000b000 fd:00 393787                     /usr/lib64/ruby/1.8/x86_6

4-linux/socket.so

2aaaaafe3000-2aaaaafe4000 rw-p 0000a000 fd:00 393787                     /usr/lib64/ruby/1.8/x86_6

4-linux/socket.so

2aaaaafe4000-2aaaaafe8000 r-xp 00000000 fd:00 393788                     /usr/lib64/ruby/1.8/x86_6

4-linux/stringio.so

2aaaaafe8000-2aaaab1e8000 ---p 00004000 fd:00 393788                     /usr/lib64/ruby/1.8/x86_6

4-linux/stringio.so

2aaaab1e8000-2aaaab1e9000 rw-p 00004000 fd:00 393788                     /usr/lib64/ruby/1.8/x86_6

4-linux/stringio.so

2aaaab1e9000-2aaaab326000 rw-p 2aaaab1e9000 00:00 0

2aaaab326000-2aaaab342000 r-xp 00000000 fd:00 393790                     /usr/lib64/ruby/1.8/x86_6

4-linux/syck.so

2aaaab342000-2aaaab541000 ---p 0001c000 fd:00 393790                     /usr/lib64/ruby/1.8/x86_6

4-linux/syck.so

2aaaab541000-2aaaab542000 rw-p 0001b000 fd:00 393790                     /usr/lib64/ruby/1.8/x86_6

4-linux/syck.so

2aaaab542000-2aaaab543000 rw-p 2aaaab542000 00:00 0

2aaaab543000-2aaaab54c000 r-xp 00000000 fd:00 393793                     /usr/lib64/ruby/1.8/x86_6

4-linux/zlib.so

2aaaab54c000-2aaaab74b000 ---p 00009000 fd:00 393793                     /usr/lib64/ruby/1.8/x86_6

4-linux/zlib.so

2aaaab74b000-2aaaab74c000 rw-p 00008000 fd:00 393793                     /usr/lib64/ruby/1.8/x86_6

4-linux/zlib.so

2aaaab74c000-2aaaab74f000 r-xp 00000000 fd:00 393766                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest.so

2aaaab74f000-2aaaab94e000 ---p 00003000 fd:00 393766                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest.so

2aaaab94e000-2aaaab94f000 rw-p 00002000 fd:00 393766                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest.so

2aaaab94f000-2aaaab952000 r-xp 00000000 fd:00 393772                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha2.so

2aaaab952000-2aaaabb51000 ---p 00003000 fd:00 393772                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha2.so

2aaaabb51000-2aaaabb52000 rw-p 00002000 fd:00 393772                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha2.so

2aaaabb52000-2aaaabb8c000 r-xp 00000000 fd:00 393781                     /usr/lib64/ruby/1.8/x86_6

4-linux/openssl.so

2aaaabb8c000-2aaaabd8b000 ---p 0003a000 fd:00 393781                     /usr/lib64/ruby/1.8/x86_6

4-linux/openssl.so

2aaaabd8b000-2aaaabd8e000 rw-p 00039000 fd:00 393781                     /usr/lib64/ruby/1.8/x86_6

4-linux/openssl.so

2aaaabd8e000-2aaaabd8f000 r-xp 00000000 fd:00 393776                     /usr/lib64/ruby/1.8/x86_6

4-linux/fcntl.so

2aaaabd8f000-2aaaabf8e000 ---p 00001000 fd:00 393776                     /usr/lib64/ruby/1.8/x86_6

4-linux/fcntl.so

2aaaabf8e000-2aaaabf8f000 rw-p 00000000 fd:00 393776                     /usr/lib64/ruby/1.8/x86_6

4-linux/fcntl.so

2aaaabf8f000-2aaaac1c9000 rw-p 2aaaabf8f000 00:00 0

2aaaac1c9000-2aaaac1cb000 r-xp 00000000 fd:00 393775                     /usr/lib64/ruby/1.8/x86_6

4-linux/etc.so

2aaaac1cb000-2aaaac3ca000 ---p 00002000 fd:00 393775                     /usr/lib64/ruby/1.8/x86_6

4-linux/etc.so

2aaaac3ca000-2aaaac3cb000 rw-p 00001000 fd:00 393775                     /usr/lib64/ruby/1.8/x86_6

4-linux/etc.so

2aaaac3cb000-2aaaac3cc000 rw-p 2aaaac3cb000 00:00 0
2aaaac3cc000-2aaaac3ce000 r-xp 00000000 fd:00 393774                     /usr/lib64/ruby/1.8/x86_6

4-linux/enumerator.so

2aaaac3ce000-2aaaac5cd000 ---p 00002000 fd:00 393774                     /usr/lib64/ruby/1.8/x86_6

4-linux/enumerator.so

2aaaac5cd000-2aaaac5ce000 rw-p 00001000 fd:00 393774                     /usr/lib64/ruby/1.8/x86_6

4-linux/enumerator.so

2aaaac5ce000-2aaaac5d9000 r-xp 00000000 fd:00 393763                     /usr/lib64/ruby/1.8/x86_6

4-linux/bigdecimal.so

2aaaac5d9000-2aaaac7d8000 ---p 0000b000 fd:00 393763                     /usr/lib64/ruby/1.8/x86_6

4-linux/bigdecimal.so

2aaaac7d8000-2aaaac7d9000 rw-p 0000a000 fd:00 393763                     /usr/lib64/ruby/1.8/x86_6

4-linux/bigdecimal.so

2aaaac7d9000-2aaaacbdb000 rw-p 2aaaac7d9000 00:00 0

2aaaacbdb000-2aaaacc17000 r-xp 00000000 fd:00 393780                     /usr/lib64/ruby/1.8/x86_6

4-linux/nkf.so

2aaaacc17000-2aaaace17000 ---p 0003c000 fd:00 393780                     /usr/lib64/ruby/1.8/x86_6

4-linux/nkf.so

2aaaace17000-2aaaace1b000 rw-p 0003c000 fd:00 393780                     /usr/lib64/ruby/1.8/x86_6

4-linux/nkf.so

2aaaace1b000-2aaaace1c000 rw-p 2aaaace1b000 00:00 0

2aaaace1c000-2aaaace20000 r-xp 00000000 fd:00 393789                     /usr/lib64/ruby/1.8/x86_6

4-linux/strscan.so

2aaaace20000-2aaaad01f000 ---p 00004000 fd:00 393789                     /usr/lib64/ruby/1.8/x86_6

4-linux/strscan.so

2aaaad01f000-2aaaad020000 rw-p 00003000 fd:00 393789                     /usr/lib64/ruby/1.8/x86_6

4-linux/strscan.so

2aaaad020000-2aaaad756000 rw-p 2aaaad020000 00:00 0

2aaaad756000-2aaaad75a000 r-xp 00000000 fd:00 393778                     /usr/lib64/ruby/1.8/x86_6

4-linux/iconv.so

2aaaad75a000-2aaaad959000 ---p 00004000 fd:00 393778                     /usr/lib64/ruby/1.8/x86_6

4-linux/iconv.so

2aaaad959000-2aaaad95a000 rw-p 00003000 fd:00 393778                     /usr/lib64/ruby/1.8/x86_6

4-linux/iconv.so

2aaaad95a000-2aaaad95c000 r-xp 00000000 fd:00 393768                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/md5.so

2aaaad95c000-2aaaadb5b000 ---p 00002000 fd:00 393768                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/md5.so

2aaaadb5b000-2aaaadb5c000 rw-p 00001000 fd:00 393768                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/md5.so

2aaaadb5c000-2aaaadb5f000 r-xp 00000000 fd:00 393783                     /usr/lib64/ruby/1.8/x86_6

4-linux/racc/cparse.so

2aaaadb5f000-2aaaadd5f000 ---p 00003000 fd:00 393783                     /usr/lib64/ruby/1.8/x86_6

4-linux/racc/cparse.so

2aaaadd5f000-2aaaadd60000 rw-p 00003000 fd:00 393783                     /usr/lib64/ruby/1.8/x86_6

4-linux/racc/cparse.so

2aaaadd62000-2aaaaea5c000 rw-p 2aaaadd62000 00:00 0

2aaaaea5c000-2aaaaea63000 r--s 00000000 fd:00 17081836                   /usr/lib64/gconv/gconv-mo

dules.cache

2aaaaea63000-2aaaaea66000 r-xp 00000000 fd:00 393771                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha1.so

2aaaaea66000-2aaaaec65000 ---p 00003000 fd:00 393771                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha1.so

2aaaaec65000-2aaaaec66000 rw-p 00002000 fd:00 393771                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha1.so

2aaaaec68000-2aaaaec69000 rw-p 2aaaaec68000 00:00 0

2aaaaec69000-2aaaaec7e000 r-xp 00000000 fd:00 393773                     /usr/lib64/ruby/1.8/x86_6

4-linux/dl.so

2aaaaec7e000-2aaaaee7e000 ---p 00015000 fd:00 393773                     /usr/lib64/ruby/1.8/x86_6

4-linux/dl.so

2aaaaee7e000-2aaaaee7f000 rw-p 00015000 fd:00 393773                     /usr/lib64/ruby/1.8/x86_6

4-linux/dl.so

2aaab0000000-2aaab0021000 rw-p 2aaab0000000 00:00 0

2aaab0021000-2aaab4000000 ---p 2aaab0021000 00:00 0

7fffa10b8000-7fffa112d000 rw-p 7ffffff8a000 00:00 0                      [stack]

7fffa11fd000-7fffa1200000 r-xp 7fffa11fd000 00:00 0                      [vdso]

ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Aborted
 that's it. i load the server and i see a project with just 7 tickets.

2nd time:

Trac database adapter (sqlite, sqlite3, mysql, postgresql) [sqlite]: sqlite3

Trac database encoding [UTF-8]:

Target project identifier []: jspoc

This project already exists in your Redmine database.

Are you sure you want to append data to this project ? [Y/n] y

Migrating components.......

Migrating milestones....

Migrating custom fields....

Migrating tickets.........................................................................rake abo

rted!

Mysql::Error: #23000Duplicate entry '73' for key 1: INSERT INTO `issues` (`created_on`, `start_dat

e`, `estimated_hours`, `project_id`, `updated_on`, `lock_version`, `priority_id`, `id`, `subject`,

 `category_id`, `description`, `fixed_version_id`, `tracker_id`, `assigned_to_id`, `done_ratio`, `

due_date`, `author_id`, `status_id`) VALUES('2008-03-06 15:21:47', NULL, NULL, 1, '2008-03-28 10:4

8:16', 0, 3, 73, 'Testar estabilidade com ferramentas como JMeter e Marathon', NULL, 'Testar estab

ilidade com ferramentas como JMeter e Marathon', NULL, 1, NULL, 0, NULL, 2, 2)

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract_adap

ter.rb:150:in `log'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/mysql_adapter

.rb:281:in `execute'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/data

base_statements.rb:156:in `insert_sql'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/mysql_adapter

.rb:291:in `insert_sql'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/data

base_statements.rb:44:in `insert_without_query_dirty'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/quer

y_cache.rb:19:in `insert'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2272:in `create_without_c

allbacks'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:226:in `create_witho

ut_timestamps'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/timestamp.rb:29:in `create'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:2238:in `create_or_update

_without_callbacks'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/callbacks.rb:213:in `create_or_up

date'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1972:in `save_without_val

idation'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/validations.rb:934:in `save_witho

ut_transactions'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/data

base_statements.rb:66:in `transaction'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transactio

n'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `transacti

on'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:120:in `rollback_

active_record_state!'

/usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:108:in `save'

/var/redmine/lib/tasks/migrate_from_trac.rake:348:in `migrate'

/var/redmine/lib/tasks/migrate_from_trac.rake:333:in `each'

/var/redmine/lib/tasks/migrate_from_trac.rake:333:in `migrate'

/var/redmine/lib/tasks/migrate_from_trac.rake:625

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:546:in `call'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:546:in `execute'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:541:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:541:in `execute'
/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:508:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:501:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:501:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:494:in `invoke'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1931:in `invoke_task'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in `each'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:in `standard_exception_handling'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1903:in `top_level'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1881:in `run'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:in `standard_exception_handling'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1878:in `run'

/usr/lib/ruby/gems/1.8/gems/rake-0.8.1/bin/rake:31

/usr/bin/rake:16:in `load'

/usr/bin/rake:16

*** glibc detected *** ruby: free(): invalid pointer: 0x00007ffff8ff8fa0 ***

======= Backtrace: =========

/lib64/libc.so.6[0x3195c70412]

/lib64/libc.so.6(cfree+0x8c)[0x3195c73b1c]

/usr/lib64/libruby.so.1.8[0x3b2ca2bbfc]

/usr/lib64/libruby.so.1.8(rb_gc_call_finalizer_at_exit+0xae)[0x3b2ca4b01e]

/usr/lib64/libruby.so.1.8[0x3b2ca2ffc3]

/usr/lib64/libruby.so.1.8(ruby_cleanup+0x165)[0x3b2ca392e5]

/usr/lib64/libruby.so.1.8(ruby_stop+0x9)[0x3b2ca393f9]

/usr/lib64/libruby.so.1.8[0x3b2ca44b74]

ruby[0x400803]

/lib64/libc.so.6(__libc_start_main+0xf4)[0x3195c1dab4]

ruby[0x400719]

======= Memory map: ========

00400000-00401000 r-xp 00000000 fd:00 17090940                           /usr/bin/ruby

00600000-00602000 rw-p 00000000 fd:00 17090940                           /usr/bin/ruby

00602000-02398000 rw-p 00602000 00:00 0                                  [heap]

3195800000-319581a000 r-xp 00000000 fd:00 2228299                        /lib64/ld-2.6.so

3195a1a000-3195a1b000 r--p 0001a000 fd:00 2228299                        /lib64/ld-2.6.so

3195a1b000-3195a1c000 rw-p 0001b000 fd:00 2228299                        /lib64/ld-2.6.so

3195c00000-3195d47000 r-xp 00000000 fd:00 2228300                        /lib64/libc-2.6.so

3195d47000-3195f47000 ---p 00147000 fd:00 2228300                        /lib64/libc-2.6.so

3195f47000-3195f4b000 r--p 00147000 fd:00 2228300                        /lib64/libc-2.6.so

3195f4b000-3195f4c000 rw-p 0014b000 fd:00 2228300                        /lib64/libc-2.6.so

3195f4c000-3195f51000 rw-p 3195f4c000 00:00 0

3196000000-3196082000 r-xp 00000000 fd:00 2228383                        /lib64/libm-2.6.so

3196082000-3196281000 ---p 00082000 fd:00 2228383                        /lib64/libm-2.6.so

3196281000-3196282000 r--p 00081000 fd:00 2228383                        /lib64/libm-2.6.so

3196282000-3196283000 rw-p 00082000 fd:00 2228383                        /lib64/libm-2.6.so

3196400000-3196402000 r-xp 00000000 fd:00 2228356                        /lib64/libdl-2.6.so

3196402000-3196602000 ---p 00002000 fd:00 2228356                        /lib64/libdl-2.6.so

3196602000-3196603000 r--p 00002000 fd:00 2228356                        /lib64/libdl-2.6.so

3196603000-3196604000 rw-p 00003000 fd:00 2228356                        /lib64/libdl-2.6.so

3196800000-3196815000 r-xp 00000000 fd:00 2228393                        /lib64/libpthread-2.6.so

3196815000-3196a14000 ---p 00015000 fd:00 2228393                        /lib64/libpthread-2.6.so

3196a14000-3196a15000 r--p 00014000 fd:00 2228393                        /lib64/libpthread-2.6.so

3196a15000-3196a16000 rw-p 00015000 fd:00 2228393                        /lib64/libpthread-2.6.so

3196a16000-3196a1a000 rw-p 3196a16000 00:00 0

3196c00000-3196c14000 r-xp 00000000 fd:00 2228387                        /lib64/libz.so.1.2.3

3196c14000-3196e13000 ---p 00014000 fd:00 2228387                        /lib64/libz.so.1.2.3

3196e13000-3196e14000 rw-p 00013000 fd:00 2228387                        /lib64/libz.so.1.2.3

3198400000-3198463000 r-xp 00000000 fd:00 17089227                       /usr/lib64/libsqlite3.so.

0.8.6

3198463000-3198663000 ---p 00063000 fd:00 17089227                       /usr/lib64/libsqlite3.so.

0.8.6

3198663000-3198666000 rw-p 00063000 fd:00 17089227                       /usr/lib64/libsqlite3.so.

0.8.6

319f800000-319f811000 r-xp 00000000 fd:00 2228505                        /lib64/libresolv-2.6.so

319f811000-319fa11000 ---p 00011000 fd:00 2228505                        /lib64/libresolv-2.6.so

319fa11000-319fa12000 r--p 00011000 fd:00 2228505                        /lib64/libresolv-2.6.so

319fa12000-319fa13000 rw-p 00012000 fd:00 2228505                        /lib64/libresolv-2.6.so
319fa13000-319fa15000 rw-p 319fa13000 00:00 0

31a2200000-31a2202000 r-xp 00000000 fd:00 2228504                        /lib64/libkeyutils-1.2.so

31a2202000-31a2401000 ---p 00002000 fd:00 2228504                        /lib64/libkeyutils-1.2.so

31a2401000-31a2402000 rw-p 00001000 fd:00 2228504                        /lib64/libkeyutils-1.2.so

31a2a00000-31a2a07000 r-xp 00000000 fd:00 17087611                       /usr/lib64/libkrb5support

.so.0.1

31a2a07000-31a2c07000 ---p 00007000 fd:00 17087611                       /usr/lib64/libkrb5support

.so.0.1

31a2c07000-31a2c08000 rw-p 00007000 fd:00 17087611                       /usr/lib64/libkrb5support

.so.0.1

31a2e00000-31a2e24000 r-xp 00000000 fd:00 17087810                       /usr/lib64/libk5crypto.so

.3.1

31a2e24000-31a3023000 ---p 00024000 fd:00 17087810                       /usr/lib64/libk5crypto.so

.3.1

31a3023000-31a3025000 rw-p 00023000 fd:00 17087810                       /usr/lib64/libk5crypto.so

.3.1

31a4200000-31a4205000 r-xp 00000000 fd:00 2228519                        /lib64/libcrypt-2.6.so

31a4205000-31a4404000 ---p 00005000 fd:00 2228519                        /lib64/libcrypt-2.6.so

31a4404000-31a4405000 r--p 00004000 fd:00 2228519                        /lib64/libcrypt-2.6.so

31a4405000-31a4406000 rw-p 00005000 fd:00 2228519                        /lib64/libcrypt-2.6.so

31a4406000-31a4434000 rw-p 31a4406000 00:00 0

3b2ca00000-3b2cac6000 r-xp 00000000 fd:00 17090872                       /usr/lib64/libruby.so.1.8

.6

3b2cac6000-3b2ccc6000 ---p 000c6000 fd:00 17090872                       /usr/lib64/libruby.so.1.8

.6

3b2ccc6000-3b2cce0000 rw-p 000c6000 fd:00 17090872                       /usr/lib64/libruby.so.1.8

.6

3b2cce0000-3b2ccfe000 rw-p 3b2cce0000 00:00 0

3ee1a00000-3ee1a02000 r-xp 00000000 fd:00 2228276                        /lib64/libcom_err.so.2.1

3ee1a02000-3ee1c01000 ---p 00002000 fd:00 2228276                        /lib64/libcom_err.so.2.1

3ee1c01000-3ee1c02000 rw-p 00001000 fd:00 2228276                        /lib64/libcom_err.so.2.1

3ee1e00000-3ee1e8e000 r-xp 00000000 fd:00 17076840                       /usr/lib64/libkrb5.so.3.3

3ee1e8e000-3ee208e000 ---p 0008e000 fd:00 17076840                       /usr/lib64/libkrb5.so.3.3

3ee208e000-3ee2092000 rw-p 0008e000 fd:00 17076840                       /usr/lib64/libkrb5.so.3.3

3ee2200000-3ee2325000 r-xp 00000000 fd:00 2228288                        /lib64/libcrypto.so.0.9.8

b

3ee2325000-3ee2525000 ---p 00125000 fd:00 2228288                        /lib64/libcrypto.so.0.9.8

b

3ee2525000-3ee2544000 rw-p 00125000 fd:00 2228288                        /lib64/libcrypto.so.0.9.8

b

3ee2544000-3ee2548000 rw-p 3ee2544000 00:00 0

3ee2600000-3ee2643000 r-xp 00000000 fd:00 2228328                        /lib64/libssl.so.0.9.8b

3ee2643000-3ee2843000 ---p 00043000 fd:00 2228328                        /lib64/libssl.so.0.9.8b

3ee2843000-3ee2849000 rw-p 00043000 fd:00 2228328                        /lib64/libssl.so.0.9.8b

3ee2a00000-3ee2a2c000 r-xp 00000000 fd:00 17076920                       /usr/lib64/libgssapi_krb5

.so.2.2

3ee2a2c000-3ee2c2c000 ---p 0002c000 fd:00 17076920                       /usr/lib64/libgssapi_krb5

.so.2.2

3ee2c2c000-3ee2c2e000 rw-p 0002c000 fd:00 17076920                       /usr/lib64/libgssapi_krb5

.so.2.2

3ee2e00000-3ee2e0d000 r-xp 00000000 fd:00 2228417                        /lib64/libgcc_s-4.1.2-200

70925.so.1

3ee2e0d000-3ee300d000 ---p 0000d000 fd:00 2228417                        /lib64/libgcc_s-4.1.2-200

70925.so.1

3ee300d000-3ee300e000 rw-p 0000d000 fd:00 2228417                        /lib64/libgcc_s-4.1.2-200

70925.so.1

2aaaaaaab000-2aaaaaaad000 rw-p 2aaaaaaab000 00:00 0

2aaaaaabf000-2aaaaab24000 rw-p 2aaaaaabf000 00:00 0

2aaaaab24000-2aaaaab28000 r-xp 00000000 fd:00 393792                     /usr/lib64/ruby/1.8/x86_6

4-linux/thread.so

2aaaaab28000-2aaaaad27000 ---p 00004000 fd:00 393792                     /usr/lib64/ruby/1.8/x86_6

4-linux/thread.so

2aaaaad27000-2aaaaad28000 rw-p 00003000 fd:00 393792                     /usr/lib64/ruby/1.8/x86_6

4-linux/thread.so

2aaaaad29000-2aaaaadd9000 rw-p 2aaaaad29000 00:00 0

2aaaaadd9000-2aaaaade4000 r-xp 00000000 fd:00 393787                     /usr/lib64/ruby/1.8/x86_6

4-linux/socket.so
2aaaaade4000-2aaaaafe3000 ---p 0000b000 fd:00 393787                     /usr/lib64/ruby/1.8/x86_6

4-linux/socket.so

2aaaaafe3000-2aaaaafe4000 rw-p 0000a000 fd:00 393787                     /usr/lib64/ruby/1.8/x86_6

4-linux/socket.so

2aaaaafe4000-2aaaaafe8000 r-xp 00000000 fd:00 393788                     /usr/lib64/ruby/1.8/x86_6

4-linux/stringio.so

2aaaaafe8000-2aaaab1e8000 ---p 00004000 fd:00 393788                     /usr/lib64/ruby/1.8/x86_6

4-linux/stringio.so

2aaaab1e8000-2aaaab1e9000 rw-p 00004000 fd:00 393788                     /usr/lib64/ruby/1.8/x86_6

4-linux/stringio.so

2aaaab1e9000-2aaaab326000 rw-p 2aaaab1e9000 00:00 0

2aaaab326000-2aaaab342000 r-xp 00000000 fd:00 393790                     /usr/lib64/ruby/1.8/x86_6

4-linux/syck.so

2aaaab342000-2aaaab541000 ---p 0001c000 fd:00 393790                     /usr/lib64/ruby/1.8/x86_6

4-linux/syck.so

2aaaab541000-2aaaab542000 rw-p 0001b000 fd:00 393790                     /usr/lib64/ruby/1.8/x86_6

4-linux/syck.so

2aaaab542000-2aaaab543000 rw-p 2aaaab542000 00:00 0

2aaaab543000-2aaaab54c000 r-xp 00000000 fd:00 393793                     /usr/lib64/ruby/1.8/x86_6

4-linux/zlib.so

2aaaab54c000-2aaaab74b000 ---p 00009000 fd:00 393793                     /usr/lib64/ruby/1.8/x86_6

4-linux/zlib.so

2aaaab74b000-2aaaab74c000 rw-p 00008000 fd:00 393793                     /usr/lib64/ruby/1.8/x86_6

4-linux/zlib.so

2aaaab74c000-2aaaab74f000 r-xp 00000000 fd:00 393766                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest.so

2aaaab74f000-2aaaab94e000 ---p 00003000 fd:00 393766                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest.so

2aaaab94e000-2aaaab94f000 rw-p 00002000 fd:00 393766                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest.so

2aaaab94f000-2aaaab952000 r-xp 00000000 fd:00 393772                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha2.so

2aaaab952000-2aaaabb51000 ---p 00003000 fd:00 393772                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha2.so

2aaaabb51000-2aaaabb52000 rw-p 00002000 fd:00 393772                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha2.so

2aaaabb52000-2aaaabb8c000 r-xp 00000000 fd:00 393781                     /usr/lib64/ruby/1.8/x86_6

4-linux/openssl.so

2aaaabb8c000-2aaaabd8b000 ---p 0003a000 fd:00 393781                     /usr/lib64/ruby/1.8/x86_6

4-linux/openssl.so

2aaaabd8b000-2aaaabd8e000 rw-p 00039000 fd:00 393781                     /usr/lib64/ruby/1.8/x86_6

4-linux/openssl.so

2aaaabd8e000-2aaaabd8f000 r-xp 00000000 fd:00 393776                     /usr/lib64/ruby/1.8/x86_6

4-linux/fcntl.so

2aaaabd8f000-2aaaabf8e000 ---p 00001000 fd:00 393776                     /usr/lib64/ruby/1.8/x86_6

4-linux/fcntl.so

2aaaabf8e000-2aaaabf8f000 rw-p 00000000 fd:00 393776                     /usr/lib64/ruby/1.8/x86_6

4-linux/fcntl.so

2aaaabf8f000-2aaaac1c9000 rw-p 2aaaabf8f000 00:00 0

2aaaac1c9000-2aaaac1cb000 r-xp 00000000 fd:00 393775                     /usr/lib64/ruby/1.8/x86_6

4-linux/etc.so

2aaaac1cb000-2aaaac3ca000 ---p 00002000 fd:00 393775                     /usr/lib64/ruby/1.8/x86_6

4-linux/etc.so

2aaaac3ca000-2aaaac3cb000 rw-p 00001000 fd:00 393775                     /usr/lib64/ruby/1.8/x86_6

4-linux/etc.so

2aaaac3cb000-2aaaac3cc000 rw-p 2aaaac3cb000 00:00 0

2aaaac3cc000-2aaaac3ce000 r-xp 00000000 fd:00 393774                     /usr/lib64/ruby/1.8/x86_6

4-linux/enumerator.so

2aaaac3ce000-2aaaac5cd000 ---p 00002000 fd:00 393774                     /usr/lib64/ruby/1.8/x86_6

4-linux/enumerator.so

2aaaac5cd000-2aaaac5ce000 rw-p 00001000 fd:00 393774                     /usr/lib64/ruby/1.8/x86_6

4-linux/enumerator.so

2aaaac5ce000-2aaaac5d9000 r-xp 00000000 fd:00 393763                     /usr/lib64/ruby/1.8/x86_6

4-linux/bigdecimal.so

2aaaac5d9000-2aaaac7d8000 ---p 0000b000 fd:00 393763                     /usr/lib64/ruby/1.8/x86_6

4-linux/bigdecimal.so

2aaaac7d8000-2aaaac7d9000 rw-p 0000a000 fd:00 393763                     /usr/lib64/ruby/1.8/x86_6
4-linux/bigdecimal.so

2aaaac7d9000-2aaaacbdb000 rw-p 2aaaac7d9000 00:00 0

2aaaacbdb000-2aaaacc17000 r-xp 00000000 fd:00 393780                     /usr/lib64/ruby/1.8/x86_6

4-linux/nkf.so

2aaaacc17000-2aaaace17000 ---p 0003c000 fd:00 393780                     /usr/lib64/ruby/1.8/x86_6

4-linux/nkf.so

2aaaace17000-2aaaace1b000 rw-p 0003c000 fd:00 393780                     /usr/lib64/ruby/1.8/x86_6

4-linux/nkf.so

2aaaace1b000-2aaaace1c000 rw-p 2aaaace1b000 00:00 0

2aaaace1c000-2aaaace20000 r-xp 00000000 fd:00 393789                     /usr/lib64/ruby/1.8/x86_6

4-linux/strscan.so

2aaaace20000-2aaaad01f000 ---p 00004000 fd:00 393789                     /usr/lib64/ruby/1.8/x86_6

4-linux/strscan.so

2aaaad01f000-2aaaad020000 rw-p 00003000 fd:00 393789                     /usr/lib64/ruby/1.8/x86_6

4-linux/strscan.so

2aaaad020000-2aaaad756000 rw-p 2aaaad020000 00:00 0

2aaaad756000-2aaaad75a000 r-xp 00000000 fd:00 393778                     /usr/lib64/ruby/1.8/x86_6

4-linux/iconv.so

2aaaad75a000-2aaaad959000 ---p 00004000 fd:00 393778                     /usr/lib64/ruby/1.8/x86_6

4-linux/iconv.so

2aaaad959000-2aaaad95a000 rw-p 00003000 fd:00 393778                     /usr/lib64/ruby/1.8/x86_6

4-linux/iconv.so

2aaaad95a000-2aaaad95c000 r-xp 00000000 fd:00 393768                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/md5.so

2aaaad95c000-2aaaadb5b000 ---p 00002000 fd:00 393768                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/md5.so

2aaaadb5b000-2aaaadb5c000 rw-p 00001000 fd:00 393768                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/md5.so

2aaaadb5c000-2aaaadb5f000 r-xp 00000000 fd:00 393783                     /usr/lib64/ruby/1.8/x86_6

4-linux/racc/cparse.so

2aaaadb5f000-2aaaadd5f000 ---p 00003000 fd:00 393783                     /usr/lib64/ruby/1.8/x86_6

4-linux/racc/cparse.so

2aaaadd5f000-2aaaadd60000 rw-p 00003000 fd:00 393783                     /usr/lib64/ruby/1.8/x86_6

4-linux/racc/cparse.so

2aaaadd62000-2aaaaea5c000 rw-p 2aaaadd62000 00:00 0

2aaaaea5c000-2aaaaea63000 r--s 00000000 fd:00 17081836                   /usr/lib64/gconv/gconv-mo

dules.cache

2aaaaea63000-2aaaaea66000 r-xp 00000000 fd:00 393771                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha1.so

2aaaaea66000-2aaaaec65000 ---p 00003000 fd:00 393771                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha1.so

2aaaaec65000-2aaaaec66000 rw-p 00002000 fd:00 393771                     /usr/lib64/ruby/1.8/x86_6

4-linux/digest/sha1.so

2aaaaec68000-2aaaaec69000 rw-p 2aaaaec68000 00:00 0

2aaaaec69000-2aaaaec7e000 r-xp 00000000 fd:00 393773                     /usr/lib64/ruby/1.8/x86_6

4-linux/dl.so

2aaaaec7e000-2aaaaee7e000 ---p 00015000 fd:00 393773                     /usr/lib64/ruby/1.8/x86_6

4-linux/dl.so

2aaaaee7e000-2aaaaee7f000 rw-p 00015000 fd:00 393773                     /usr/lib64/ruby/1.8/x86_6

4-linux/dl.so

2aaab0000000-2aaab0021000 rw-p 2aaab0000000 00:00 0

2aaab0021000-2aaab4000000 ---p 2aaab0021000 00:00 0

7ffff8f98000-7ffff900d000 rw-p 7ffffff8a000 00:00 0                      [stack]

7ffff91fd000-7ffff9200000 r-xp 7ffff91fd000 00:00 0                      [vdso]

ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Aborted

[root@black redmine]#

 and a 3rd time:

[root@black redmine]# rake redmine:migrate_from_trac RAILS_ENV="test" --trace

(in /var/redmine)

** Invoke redmine:migrate_from_trac (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute redmine:migrate_from_trac
WARNING: a new project will be added to Redmine during this process.

Are you sure you want to continue ? [y/N] y

Trac directory []: /trac/jspo

This directory doesn't exist!

Trac directory []: /trac/jspoc

Trac database adapter (sqlite, sqlite3, mysql, postgresql) [sqlite]: sqlite3

Trac database encoding [UTF-8]:

Target project identifier []: jspoc

This project already exists in your Redmine database.

Are you sure you want to append data to this project ? [Y/n] y

Migrating components.......

Migrating milestones....

Migrating custom fields....

Migrating tickets.................................................................................

Migrating wiki..

Components:      0/7

Milestones:      0/4

Tickets:         81/81

Ticket files:    0/0

Custom values:   324/324

Wiki edits:      2/2

Wiki files:      0/0

Loaded suite /usr/bin/rake

Started

Finished in 0.000366 seconds.

0 tests, 0 assertions, 0 failures, 0 errors

[root@black redmine]#

 now, is it safe, will it work fine this way, is it fixable? thanks

btw, great work with redmine :P

History

#1 - 2008-03-29 10:42 - Jean-Philippe Lang

- Category set to Importers

I'm not able to reproduce this problem. And I really don't see what causes the first error.

Do you think you could send me your trac database so I debug this problem ?

#2 - 2008-03-31 00:23 - vasco dias

- File trac.db.zip added

here is the db of the trac project. The same happened when importing another project, but that time i had to repeat it 6 or 7 times. The people already

fixed some tickets that were repeated and the assocition with the milestones. Now i'm having another problem that could be related or not. With this

environment i can't send mails. I have them configured fine. If i start another environment for example in another port of the server i can send mails

with that one, and the conf are the same...

#3 - 2008-03-31 00:35 - vasco dias

forget the mail problem. I was in a test environment and that has the mail deactivated in the conf file.

#4 - 2008-03-31 23:10 - Jean-Philippe Lang

I've just migrated your Trac database without any problems. I used the latest revision of the migration script.

What version/revision of Redmine are you using ? I recommend you to use Redmine 0.7.0 RC1 released 2 days ago with a fresh database.

Components:      7/7

Milestones:      4/4

Tickets:         81/81

Ticket files:    0/0
Custom values:   324/324

Wiki edits:      2/2

Wiki files:      0/0

#5 - 2008-04-02 01:12 - vasco dias

i did it with the version on svn trunk on the day of this bug post.

It was a little strange, i think i did it one time to a fresh database without no problems, but for some reason i had to delete that db, so i redid the steps

and then errors started occurring. Tried it some times, deleting, creating new environments, new dbs, deleting the dbs, etc. Then i reported this. I had

to migrate this project, another one a little bigger and a third one. All them had this kind of problems. We now have a redmine running with quite some

projects loaded. What we did these days was fixing stuff by hand. Today i reassigned all the tickets to the correct options that was on the trac and

deleted around 50 duplicated tickets. My partner had to do the same with the other project. Now i think everything is running fine.

To try the newest version of redmine is it enough to checkout/download it to another folder and just copy the options in database.yml and in the

environment? I hope i'll have time to try it with new version.

#6 - 2008-04-02 01:20 - vasco dias

just did #ruby --version on the server and it is:

ruby 1.8.6 (2008-03-03 patchlevel 114) [x86_64-linux]

could this be a problem in any way?

thanks

#7 - 2008-04-02 22:24 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

ruby 1.8.6 is fine.

is it enough to checkout/download it to another folder and just copy the options in database.yml and in the environment?

 Not exactly, you have to migrate the database in order to use the new version.

You way want to read this: RedmineUpgrade.

For now, I close this ticket since I can't reproduce. Reopen if needed.

Files

trac.db.zip 440 KB 2008-03-30 vasco dias
